package holo.bolt.world.map.tile;

import holo.bolt.entity.EntityPlayer;

public abstract class InteractableTile extends Tile
{
	public InteractableTile(float[] position)
	{
		super(position);
	}
	public abstract int uses();
	public abstract int used();
	public abstract void performUse(EntityPlayer player);
	public abstract String textureLoc2();
	public abstract String getDescription();
}
